### Method

# Gtk ConstraintLayout add_constraints_from_description

#### Declaration [src]

    GList*
    gtk_constraint_layout_add_constraints_from_description (
      GtkConstraintLayout* layout,
      const char* const* lines,
      gsize n_lines,
      int hspacing,
      int vspacing,
      GError** error,
      const char* first_view,
      ...
    )

#### Description [src]

Creates a list of constraints from a VFL description.

This function is a convenience wrapper around `gtk_constraint_layout_add_constraints_from_descriptionv()`, using variadic arguments to populate the view/target map.

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_constraint_layout_add_constraints_from_descriptionv()` in language bindings.

#### Parameters

`lines`

  Type: An array of `char*`

  An array of Visual Format Language lines defining a set of constraints.

  The length of the array is specified in the `n_lines` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`n_lines`

  Type: `gsize`

  The number of lines.

`hspacing`

  Type: `int`

  Default horizontal spacing value, or -1 for the fallback value.

`vspacing`

  Type: `int`

  Default vertical spacing value, or -1 for the fallback value.

`error`

  Type: `GError`

  Return location for a `GError`.

  The data is owned by the caller of the method.

`first_view`

  Type: `const char*`

  The name of a view in the VFL description, followed by the `GtkConstraintTarget` to which it maps.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL`-terminated list of view names and `GtkConstraintTarget`s.

#### Return value

Type: A list of `GtkConstraint*`

The list of `GtkConstraint`s that were added to the layout.

The caller of the method takes ownership of the returned data container, but not the data inside it.